Skip to main content
GET
/
{workspaceId}
/
projects
/
{projectName}
/
run
/
{runId}
/
result
runApiResult
import { IntunedClient } from "@intuned/client";

const intunedClient = new IntunedClient({
  workspaceId: "123e4567-e89b-12d3-a456-426614174000",
  apiKey: process.env["INTUNED_API_KEY"] ?? "",
});

async function run() {
  const result = await intunedClient.project.run.result("my-project", "aabbccddeeffggh");

  console.log(result);
}

run();
{
  "runId": "123",
  "status": "completed",
  "result": {
    "key1": "value1",
    "key2": 42
  },
  "extendedPayloads": [
    {
      "api": "my-awesome-api",
      "runId": "123",
      "parameters": {
        "param1": "value1",
        "param2": 42
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

API Key used to authenticate your requests. How to create one.

Path Parameters

workspaceId
string<uuid>
required

Your workspace ID. How to find it?

projectName
string
required

The name you assigned when creating the Project.

runId
string<nanoid>
required

Run ID

Response

200 - application/json

Run result with status and output data.

runId
string
required

Unique identifier for the run, nanoId of 21 characters

status
enum<string>
required

Status of the run execution

Available options:
pending,
started,
completed,
canceled,
failed
Example:

"completed"

result
any

Output result of the run execution

extendedPayloads
object[]

Extended payloads from the run execution

error
object
message
string

Error or reason message

reason
object